#include "CoreLobbySidePanelButton.h"

class UCoreButtonWidget;

void UCoreLobbySidePanelButton::OnButtonUnhovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreLobbySidePanelButton::OnButtonHovered(UCoreButtonWidget* buttonTarget)
{

}

bool UCoreLobbySidePanelButton::IsDisabledButInteractable() const
{
	return false;
}

UCoreLobbySidePanelButton::UCoreLobbySidePanelButton()
{
	this->_panelButtonId = ELobbySidePanelButtonId::None;
	this->ButtonTemplate = ELobbySidePanelButtonTemplate::Default;
}
